Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.action
Class ExporterConfigurationBean

    java.lang.Object
      com.jaspersoft.jasperserver.war.action.ExporterConfigurationBean

All Implemented Interfaces:
  java.io.Serializable

    public class ExporterConfigurationBean

extends java.lang.Object
implements java.io.Serializable

Version:
  $Id: ExporterConfigurationBean.java 10154 2007-09-19 16:55:09Z lucian $
Author:
  sanda zaharia
See Also:
  Serialized Form

Constructor Summary
`ExporterConfigurationBean()`

Method Summary
`AbstractReportExporter` | `getCurrentExporter()`
`java.lang.String` | `getDescriptionKey()`
`ExportParameters` | `getExportParameters()`
`java.lang.String` | `getIconSrc()`
`java.lang.String` | `getParameterDialogName()`
`void` | `setCurrentExporter(AbstractReportExporter currentExporter)`
`void` | `setDescriptionKey(java.lang.String descriptionKey)`
`void` | `setExportParameters(ExportParameters exportParameters)`
`void` | `setIconSrc(java.lang.String iconSrc)`
`void` | `setParameterDialogName(java.lang.String parameterDialogName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExporterConfigurationBean

    public ExporterConfigurationBean()

Method Detail

### getIconSrc

    public java.lang.String getIconSrc()

  Returns:
    Returns the iconSrc.

### setIconSrc

    public void setIconSrc(java.lang.String iconSrc)

  Parameters:
    `iconSrc` - The iconSrc to set.

### getParameterDialogName

    public java.lang.String getParameterDialogName()

  Returns:
    Returns the parameterDialogName.

### setParameterDialogName

    public void setParameterDialogName(java.lang.String parameterDialogName)

  Parameters:
    `parameterDialogName` - The parameterDialogName to set.

### getDescriptionKey

    public java.lang.String getDescriptionKey()

  Returns:
    Returns the descriptionKey.

### setDescriptionKey

    public void setDescriptionKey(java.lang.String descriptionKey)

  Parameters:
    `descriptionKey` - The descriptionKey to set.

### getExportParameters

    public ExportParameters getExportParameters()

  Returns:
    Returns the exportParameters.

### setExportParameters

    public void setExportParameters(ExportParameters exportParameters)

  Parameters:
    `exportParameters` - The exportParameters to set.

### getCurrentExporter

    public AbstractReportExporter getCurrentExporter()

  Returns:
    Returns the currentExporter.

### setCurrentExporter

    public void setCurrentExporter(AbstractReportExporter currentExporter)

  Parameters:
    `currentExporter` - The currentExporter to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.